apiVersion: apps/v1
kind: Deployment
metadata:
  name: etl-website
  namespace: default
  labels:
    app: etl-website-deployment
spec:
  replicas: 1
  selector:
    matchLabels:
      app: etl-website-deployment
  template:
    metadata:
      labels:
        app: etl-website-deployment
    spec:
      containers:
      - name: static-site-sha256-1
        image: us-central1-docker.pkg.dev/advance-sector-283408/website-nextjs-repo/static-site@sha256:1372283f732fcc1492a735f300f371657c39cb3e5285b4d947eaf2e15fd17145
        env:
        - name: NEXT_PUBLIC_API_URL
          value: https://org.easetolearn.com
        - name: NEXT_PUBLIC_WEB_URL
          value: uat.easetolearn.com
        - name: NEXT_PUBLIC_LOGIN_URL
          value: https://uat.easetolearn.com/student
        - name: NEXT_PUBLIC_WEB_URL_FOR_COURSES
          value: student.easetolearn.com
        - name: NEXT_PUBLIC_PAYMENT_GATEWAY_SUCCESS_URL
          value: https://payuat.easetolearn.com/website-pgsuccess
        ports:
            - containerPort: 3000
